Referência de planos de taxas
Consultar um plano de taxas
Consulta um plano de taxas da sua plataforma pelo ID.
curl -X GET "https://api.chargefy.io/v1/fee-plans/plan_k6F3mqMZ" \
-H "Authorization: Bearer {{PLATFORM_API_KEY}}"
{
"id": "plan_k6F3mqMZ",
"object": "fee_plan",
"created_at": "2026-09-26T11:00:00Z",
"description": "Condição para organizações com volume acima de R$ 50 mil por mês.",
"fee_calculation_base": "chargeable",
"installment_plan": "00349",
"is_default": false,
"livemode": true,
"metadata": {},
"name": "Parceiros",
"prepaid": true,
"rates": [
{
"id": "rate_c37t9vKz",
"card_brand": null,
"currency": "brl",
"fee_rate": 0,
"fixed_fee_amount": 299,
"installments": 1,
"payment_method_type": "boleto",
"settlement_days": 6
},
{
"id": "rate_rdGA7A7t",
"card_brand": null,
"currency": "brl",
"fee_rate": 349,
"fixed_fee_amount": 0,
"installments": 1,
"payment_method_type": "credit_card",
"settlement_days": 30
},
{
"id": "rate_NFt14sZ1",
"card_brand": "visa",
"currency": "brl",
"fee_rate": 349,
"fixed_fee_amount": 0,
"installments": 1,
"payment_method_type": "credit_card",
"settlement_days": 30
},
{
"id": "rate_hS1YBRdc",
"card_brand": "visa",
"currency": "brl",
"fee_rate": 899,
"fixed_fee_amount": 0,
"installments": 12,
"payment_method_type": "credit_card",
"settlement_days": 30
},
{
"id": "rate_Esu89U3d",
"card_brand": null,
"currency": "brl",
"fee_rate": 0,
"fixed_fee_amount": 79,
"installments": 1,
"payment_method_type": "pix",
"settlement_days": 1
}
],
"updated_at": "2026-09-26T11:00:00Z"
}
{
"error": {
"code": "invalid_request",
"message": "Organization header is not accepted for the Fee Plans resource.",
"param": "Organization",
"type": "invalid_request_error"
}
}
{
"error": {
"code": "authentication_failed",
"message": "Unauthorized — invalid api key",
"type": "authentication_error"
}
}
{
"error": {
"code": "permission_denied",
"message": "Fee plans can only be read with a Chargefy for Platforms key.",
"type": "authentication_error"
}
}
{
"error": {
"code": "resource_missing",
"message": "Fee plan not found.",
"type": "invalid_request_error"
}
}
Este endpoint só está disponível para contas com o produto Chargefy for
Platforms habilitado. Nesse produto, uma plataforma opera pagamentos para
suas organizações filhas.
rates. Use o ID que aparece em organization.fee_plan
para saber quanto uma organização filha paga em cada condição.
Use a API key da plataforma com escopo platform_admin e não envie o header
Organization. Só os planos da sua própria plataforma são encontrados; o ID de
um plano de outra plataforma responde 404.
string
obrigatório
ID do plano (
plan_*).curl -X GET "https://api.chargefy.io/v1/fee-plans/plan_k6F3mqMZ" \
-H "Authorization: Bearer {{PLATFORM_API_KEY}}"
Resposta
200 OK com o objeto fee_plan completo. O exemplo abaixo é resumido: rates
mostra 5 das 62 condições do plano.
{
"id": "plan_k6F3mqMZ",
"object": "fee_plan",
"created_at": "2026-09-26T11:00:00Z",
"description": "Condição para organizações com volume acima de R$ 50 mil por mês.",
"fee_calculation_base": "chargeable",
"installment_plan": "00349",
"is_default": false,
"livemode": true,
"metadata": {},
"name": "Parceiros",
"prepaid": true,
"rates": [
{
"id": "rate_c37t9vKz",
"card_brand": null,
"currency": "brl",
"fee_rate": 0,
"fixed_fee_amount": 299,
"installments": 1,
"payment_method_type": "boleto",
"settlement_days": 6
},
{
"id": "rate_rdGA7A7t",
"card_brand": null,
"currency": "brl",
"fee_rate": 349,
"fixed_fee_amount": 0,
"installments": 1,
"payment_method_type": "credit_card",
"settlement_days": 30
},
{
"id": "rate_NFt14sZ1",
"card_brand": "visa",
"currency": "brl",
"fee_rate": 349,
"fixed_fee_amount": 0,
"installments": 1,
"payment_method_type": "credit_card",
"settlement_days": 30
},
{
"id": "rate_hS1YBRdc",
"card_brand": "visa",
"currency": "brl",
"fee_rate": 899,
"fixed_fee_amount": 0,
"installments": 12,
"payment_method_type": "credit_card",
"settlement_days": 30
},
{
"id": "rate_Esu89U3d",
"card_brand": null,
"currency": "brl",
"fee_rate": 0,
"fixed_fee_amount": 79,
"installments": 1,
"payment_method_type": "pix",
"settlement_days": 1
}
],
"updated_at": "2026-09-26T11:00:00Z"
}
{
"error": {
"code": "invalid_request",
"message": "Organization header is not accepted for the Fee Plans resource.",
"param": "Organization",
"type": "invalid_request_error"
}
}
{
"error": {
"code": "authentication_failed",
"message": "Unauthorized — invalid api key",
"type": "authentication_error"
}
}
{
"error": {
"code": "permission_denied",
"message": "Fee plans can only be read with a Chargefy for Platforms key.",
"type": "authentication_error"
}
}
{
"error": {
"code": "resource_missing",
"message": "Fee plan not found.",
"type": "invalid_request_error"
}
}
Erros
| Status | code | Quando |
|---|---|---|
400 | invalid_request | Header Organization enviado. |
401 | authentication_failed | API key ausente, inválida, revogada ou expirada. |
403 | permission_denied | A API key não é de plataforma. |
404 | resource_missing | Não existe plano com esse ID na sua plataforma. |
405 | method_not_allowed | Método diferente de GET. Planos são criados e editados no painel. |
⌘I
curl -X GET "https://api.chargefy.io/v1/fee-plans/plan_k6F3mqMZ" \
-H "Authorization: Bearer {{PLATFORM_API_KEY}}"
{
"id": "plan_k6F3mqMZ",
"object": "fee_plan",
"created_at": "2026-09-26T11:00:00Z",
"description": "Condição para organizações com volume acima de R$ 50 mil por mês.",
"fee_calculation_base": "chargeable",
"installment_plan": "00349",
"is_default": false,
"livemode": true,
"metadata": {},
"name": "Parceiros",
"prepaid": true,
"rates": [
{
"id": "rate_c37t9vKz",
"card_brand": null,
"currency": "brl",
"fee_rate": 0,
"fixed_fee_amount": 299,
"installments": 1,
"payment_method_type": "boleto",
"settlement_days": 6
},
{
"id": "rate_rdGA7A7t",
"card_brand": null,
"currency": "brl",
"fee_rate": 349,
"fixed_fee_amount": 0,
"installments": 1,
"payment_method_type": "credit_card",
"settlement_days": 30
},
{
"id": "rate_NFt14sZ1",
"card_brand": "visa",
"currency": "brl",
"fee_rate": 349,
"fixed_fee_amount": 0,
"installments": 1,
"payment_method_type": "credit_card",
"settlement_days": 30
},
{
"id": "rate_hS1YBRdc",
"card_brand": "visa",
"currency": "brl",
"fee_rate": 899,
"fixed_fee_amount": 0,
"installments": 12,
"payment_method_type": "credit_card",
"settlement_days": 30
},
{
"id": "rate_Esu89U3d",
"card_brand": null,
"currency": "brl",
"fee_rate": 0,
"fixed_fee_amount": 79,
"installments": 1,
"payment_method_type": "pix",
"settlement_days": 1
}
],
"updated_at": "2026-09-26T11:00:00Z"
}
{
"error": {
"code": "invalid_request",
"message": "Organization header is not accepted for the Fee Plans resource.",
"param": "Organization",
"type": "invalid_request_error"
}
}
{
"error": {
"code": "authentication_failed",
"message": "Unauthorized — invalid api key",
"type": "authentication_error"
}
}
{
"error": {
"code": "permission_denied",
"message": "Fee plans can only be read with a Chargefy for Platforms key.",
"type": "authentication_error"
}
}
{
"error": {
"code": "resource_missing",
"message": "Fee plan not found.",
"type": "invalid_request_error"
}
}

